org.eclipse.graphiti.internal.features.context.impl.base

## Class SingleClickContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.CustomContext
        - - org.eclipse.graphiti.internal.features.context.impl.base.AbstractClickContext
          - - org.eclipse.graphiti.internal.features.context.impl.base.SingleClickContext

All Implemented Interfaces:
  IContext, ICustomContext, ILocationContext, ISingleClickContext, IPropertyBag

    public class SingleClickContext
    extends AbstractClickContext
    implements ISingleClickContext

The Class SingleClickContext.

### Constructor Summary

Constructors
Constructor and Description
`SingleClickContext(PictogramElement pictogramElement, PictogramElement innerPictogramElement, GraphicsAlgorithm innerGraphicsAlgorithm)` Instantiates a new single click context.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.features.context.impl.CustomContext

`getInnerGraphicsAlgorithm, getInnerPictogramElement, getPictogramElements, setInnerGraphicsAlgorithm, setInnerPictogramElement, setPictogramElements, toString`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ICustomContext

`getInnerGraphicsAlgorithm, getInnerPictogramElement, getPictogramElements`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### SingleClickContext

    public SingleClickContext(PictogramElement pictogramElement,
                              PictogramElement innerPictogramElement,
                              GraphicsAlgorithm innerGraphicsAlgorithm)

Instantiates a new single click context.

Parameters:
  `pictogramElement` - the pictogram element
  `innerPictogramElement` - the inner pictogram element
  `innerGraphicsAlgorithm` - the inner graphics algorithm